Summary: A library that enables programs to read and write Data Matrix barcodes
Name: libdmtx
Version: 0.7.5
Release: 1%{?dist}
License: BSD
Group: System Environment/Libraries
URL: https://github.com/dmtx/libdmtx/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://github.com/dmtx/libdmtx/archive/%{name}-%{version}.tar.gz
Requires(post,postun): /sbin/ldconfig
BuildRequires: autoconf, automake, libtool, pkgconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The %{name} is a software library that enables programs to read and
write Data Matrix barcodes of the modern ECC200 variety. The
library runs natively on several platforms and can be accessed by
multiple languages using the libdmtx language wrappers. The
utility programs dmtxread and dmtxwrite also provide a command
line interface for libdmtx, and serve as a good reference for
developers writing their own libdmtx-enabled programs.

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package contains static libraries and header
files needed to develop applications that use the %{name} library.

%prep
%setup -q

%build
./autogen.sh
%{configure} \
  --disable-static
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot}%{_libdir} -type f -name '*.la' -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog KNOWNBUG LICENSE NEWS README TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_mandir}/man3/%{name}.3*
%{_includedir}/dmtx.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Apr 21 2020 Simon Matter <simon.matter@invoca.ch> 0.7.5-1
- upgrade to release 0.7.5
- add support for EL8

* Wed Jul 31 2013 Simon Matter <simon.matter@invoca.ch> 0.7.4-1
- initial package
